Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 238483 - dev-util/gambas-2.8.2 lock-up my computer...
Summary: dev-util/gambas-2.8.2 lock-up my computer...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High critical (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-23 15:11 UTC by Jiri Tyr
Modified: 2008-10-13 12:55 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Tyr 2008-09-23 15:11:46 UTC
After upgrading to QT 4.4.2, I tried to re-emerge =dev-util/gambas-2.8.2 and it completely lock-up my computer. The last process executed by make install was:


/usr/bin/install -c .libs/gb.qt.kde.html.lai /var/tmp/portage/dev-util/gambas-2.8.2/image/usr/lib64/gambas2/gb.qt.kde.html.la                                                                 
libtool: install: warning: remember to run `libtool --finish /usr/lib64/gambas2'               
make  install-data-hook                                                                        
make[5]: Entering directory `/var/tmp/portage/dev-util/gambas-2.8.2/work/gambas2-2.8.2/gb.qt.kde/src/html'                                                                                    

Creating the information files for gb.qt.kde.html component...
gb.qt.kde.html


executing actually this command:

/var/tmp/portage/dev-util/gambas-2.8.2/image/usr/bin/gbi2 -r /var/tmp/portage/dev-util/gambas-2.8.2/image/usr gb.qt.kde.html

It looks like a memory leak or something like that.

$ emerge --info                                                        
Portage 2.2_rc9 (default/linux/amd64/2008.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.26.5 x86_64)                                                                                              
=================================================================                              
System uname: Linux-2.6.26.5-x86_64-AMD_Athlon-tm-_64_FX-60_Dual_Core_Processor-with-glibc2.2.5
Timestamp of tree: Tue, 23 Sep 2008 09:16:01 +0000                                             
ccache version 2.4 [enabled]                                                                   
app-shells/bash:     3.2_p33                                                                   
dev-java/java-config: 1.3.7, 2.1.6                                                             
dev-lang/python:     2.5.2-r7                                                                  
dev-util/ccache:     2.4-r7                                                                    
sys-apps/baselayout: 1.12.11.1                                                                 
sys-apps/sandbox:    1.2.18.1-r2                                                               
sys-devel/autoconf:  2.13, 2.61-r2                                                             
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1                              
sys-devel/binutils:  2.18-r3                                                                   
sys-devel/gcc-config: 1.4.0-r4                                                                 
sys-devel/libtool:   1.5.26                                                                    
virtual/os-headers:  2.6.23-r3                                                                 
ACCEPT_KEYWORDS="amd64"                                                                        
CBUILD="x86_64-pc-linux-gnu"                                                                   
CFLAGS="-march=k8 -O2 -pipe"                                                                   
CHOST="x86_64-pc-linux-gnu"                                                                    
CONFIG_PROTECT="/etc /usr/env /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /usr/shutdown /var/lib/hsqldb"                                               
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d" 
CXXFLAGS="-march=k8 -O2 -pipe"                                                                 
DISTDIR="/usr/portage/distfiles"                                                               
FEATURES="ccache distlocks fixpackages metadata-transfer parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"                                         
GENTOO_MIRRORS="http://mirror.switch.ch/ftp/mirror/gentoo/"                                                                                              
LANG="en_US.UTF-8"                                                                             
LC_ALL="en_US.UTF-8"                                                                           
LDFLAGS="-Wl,-O1"                                                                              
MAKEOPTS="-j3"                                                                                 
PKGDIR="/usr/portage/packages"                                                                 
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"                                                                      
PORTDIR="/usr/portage"                                                                         
PORTDIR_OVERLAY="/usr/portage/local/layman/kde-testing /usr/local/portage"                     
SYNC="rsync://server/gentoo-portage"                                            
USE="3dnow X acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus dri dvd dvdr dvdread eds emboss encode evo fam firefox gdbm gif gpm gstreamer gtk hal iconv ipv6 isdnlog jpeg kde libnotify lirc logrotate midi mikmod mmx mp3 mpeg mudflap multilib ncurses nls nptl nptlonly nsplugin nvidia ogg opengl openmp pam pcre pdf perl png posix ppds pppd python qt3 qt3support qt4 quicktime readline reflection sdl session spell spl sse sse2 ssl startup-notification svg sysfs truetype unicode usb vorbis xml xorg xv xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIRC_DEVICES="hauppauge" USERLAND="GNU" VIDEO_CARDS="nvidia vesa v4l ati nouveau fbdev dummy"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester gentoo-dev Security 2008-09-23 16:07:41 UTC
odd.

Boian, have you seen anything like this?
Comment 2 Boian Berberov 2008-09-23 17:54:37 UTC
Thanks for CCing me.  No I have not seen this at all.

gambas is slot-fixed (if that is the correct term) to qt-3.  Upgrading to QT 4.4.2 should not affect anything at all.  Upgrading to KDE 3.5.10 might have affected something in this component, gb.qt.kde.html.  Try un-setting the kde USE flag for this package and re-emerge to make sure everything else works.  I still have 3.5.9 so I cannot test this myself if that is the case.  Sorry.

I will look at the emerge --info in more detail and try to test-build gambas again.
Comment 3 Jiri Tyr 2008-09-24 08:16:18 UTC
Maybe it is something with the KDE, because I have upgraded to KDE 4.1.1 from the kde-testing overlay.
Comment 4 Boian Berberov 2008-09-24 17:14:45 UTC
It probably is a KDE issue.  kdelibs is not slot-fixed in the ebuild like qt is.

Are you running both kde-3 and kde-4, or just kde-4?
Comment 5 Jiri Tyr 2008-09-25 08:41:13 UTC
I'm running KDE4, but I have also installed the kdelibs-3.5.9-r4 for backwards compatibility.
Comment 6 Boian Berberov 2008-09-26 23:34:58 UTC
Could you grep the build.log after an emerge/ebuild and post the results of:

# grep -n5 KDE\ 3 /var/tmp/portage/dev-util/gambas-2.8.2/temp/build.log

You can interrupt before the compiling starts so it does not lock up.  I am only interested in the configure results.
Comment 7 Jiri Tyr 2008-09-29 08:33:15 UTC
(In reply to comment #6)
> Could you grep the build.log after an emerge/ebuild and post the results of:
> 
> # grep -n5 KDE\ 3 /var/tmp/portage/dev-util/gambas-2.8.2/temp/build.log
> 
> You can interrupt before the compiling starts so it does not lock up.  I am
> only interested in the configure results.

I tried to compile gambas-2.8.2 again and now, it went through all the compilation and installation process! The reason could be, that I added USE="kdeprefix" to the KDE-4 installation. So it looks like something is wrong when I want to install KDE-4 into /usr/ and not into /usr/kde/4.1/. I hope it helps to solve the problem.
Comment 8 Boian Berberov 2008-09-29 19:51:13 UTC
It may be a PATH issue related to slotting of KDE.  I will try to make a patch and post it here.
Comment 9 Boian Berberov 2008-10-01 17:08:57 UTC
OK, a newer ebuild is posted here:

http://bazaar.launchpad.net/%7Ebberberov/%2Bjunk/dev-overlay/files/2?file_id=gambas-20081001162032-mij414teo0yk8yb0-15

This should work with USE="kdeprefix" or without it, but I cannot test it since I do not have KDE-4.  By the way, I think the ebuild in the tree is broken now since it was bumped to EAPI-2 without a src_configure function.
Comment 10 Petteri Räty (RETIRED) gentoo-dev 2008-10-01 17:32:52 UTC
(In reply to comment #9)
> 
> This should work with USE="kdeprefix" or without it, but I cannot test it since
> I do not have KDE-4.  By the way, I think the ebuild in the tree is broken now
> since it was bumped to EAPI-2 without a src_configure function.
> 

Switched to src_configure.
Comment 11 Boian Berberov 2008-10-01 18:37:38 UTC
I just realized that my link is revision-specific. :(

http://bazaar.launchpad.net/%7Ebberberov/%2Bjunk/dev-overlay/files/3?file_id=gambas-20081001162032-mij414teo0yk8yb0-15
Comment 12 Boian Berberov 2008-10-13 09:35:22 UTC
Are there any problems with the new ebuild?
Comment 13 Jiri Tyr 2008-10-13 12:55:45 UTC
(In reply to comment #12)
> Are there any problems with the new ebuild?

It seems to be fixed now. Thank you for your help!